<?php
 
class SectorHolder extends Page {

   	static $db = array(
   	);
   
	static $has_one = array(
   	);
	
	static $has_many = array( 
		"Sectors" => "Sector"
	);
	
	function canCreate() {
		return false;
	}
	
	static $can_be_root = false;

	function getCMSFields() {

		$fields = parent::getCMSFields();
		
		//$fields->removeFieldFromTab("Root.Content.Main","Content");
		
		$sectortable = new DataObjectManager(
			$this,
			"Sectors", // relation name
			"Sector", // object class
			 Sector::$field_names, // fields to show in table
			 Sector::getCMSFields_forPopup(), // form that pops up for edit
			"", // sectorHolderID = {$this->ID} a filter to only display item associated with this page
			"SortOrder ASC" // Sort by name
		);

		//$sectortable->setAddTitle( "a sector" );
		$fields->addFieldToTab("Root.Content.Sectors", $sectortable); 
	
		return $fields;
	}
	
	public function GetClientsInThisSector() {
		return Sector::GetClientsInThisSector();
	}
}
 
class SectorHolder_Controller extends Page_Controller {
	
	function Industries() {
	
		$results = new DataObjectSet();
	
		$industries = DB::query("SELECT * FROM Sector S WHERE IsEnabled = '1' ORDER BY SortOrder ASC");
	
		foreach($industries as $sqlResult) {
			
			$SectorName = $sqlResult["SectorName"];
			$SectorDescription = $sqlResult["SectorDescription"];
			$ClientsToShow = $sqlResult["ClientsToShow"];
			
			$clients = split(" *, *", trim($ClientsToShow));
			$client_output = new DataObjectSet();
			
			foreach($clients as $client) {
				$client_object = DataObject::get_by_id("Client", $client);
				$client_output->push(new ArrayData(array(
					"ClientName" => $client_object->Title,
					"ClientLogo" => $client_object->Logo(),
					"ClientLink" => "clients/sector/".urlencode($SectorName)."/#".$client_object->URLSegment 
				)));
			}

			$results->push(new ArrayData(array(
				"SectorName" => $SectorName,
				"SectorDescription" => $SectorDescription,
				"Clients" => $client_output
			)));
		}
	
		return $results;
	}
	
}